import { PublicPermissionsGrantsFilesDto, PublicPermissionsGrantsFilesUnboxedDto } from "../../auth/dtos/PublicPermissionsGrantsFilesDto";
export interface PublicPermissionsGrantsDto {
    /**
     * Grants that apply if the path is being treated as a file.
     */
    file: PublicPermissionsGrantsFilesDto;
}
/**
 * Permissions applied to anonymous users who attempt to download files from a folder.
 *
 * Each folder can declare these permissions via its FolderSettings object.
 */
export interface PublicPermissionsGrantsUnboxedDto {
    file: PublicPermissionsGrantsFilesUnboxedDto;
}
