export declare type PathVariable = PathVariableStandard | PathVariableUniqueTokenExplicit;
/**
 * IMPORTANT: these variables MUST NOT include "/" characters.
 */
export declare type PathVariableStandard = "ORIGINAL_FILE_NAME" | "ORIGINAL_FILE_EXT" | "UTC_DATE" | "UTC_TIME" | "UTC_TIME_TOKEN" | "UTC_TIME_TOKEN_INVERSE" | "UTC_YEAR" | "UTC_MONTH" | "UTC_DAY" | "UTC_HOUR" | "UTC_MINUTE" | "UTC_SECOND" | "UTC_MILLISECOND";
export declare type PathVariableUniqueTokenExplicit = "UNIQUE_DIGITS_1" | "UNIQUE_DIGITS_2" | "UNIQUE_DIGITS_3" | "UNIQUE_DIGITS_4" | "UNIQUE_DIGITS_5" | "UNIQUE_DIGITS_6" | "UNIQUE_DIGITS_7" | "UNIQUE_DIGITS_8" | "UNIQUE_DIGITS_9" | "UNIQUE_DIGITS_10" | "UNIQUE_DIGITS_11" | "UNIQUE_DIGITS_12" | "UNIQUE_DIGITS_13" | "UNIQUE_DIGITS_14" | "UNIQUE_DIGITS_15" | "UNIQUE_DIGITS_16" | "UNIQUE_DIGITS_17" | "UNIQUE_DIGITS_18" | "UNIQUE_DIGITS_19" | "UNIQUE_DIGITS_20";
export declare namespace PathVariable {
    const utcYear: PathVariable;
    const utcMonth: PathVariable;
    const utcDay: PathVariable;
    const originalFileName: PathVariable;
    const originalFileNameExt: PathVariable;
    const uniqueToken4: PathVariable;
    const all: PathVariable[];
}
